> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set a Drip Boost

> Updates the drip boost value for a specific member in a specific offer.



## OpenAPI

````yaml post /offers/{id}/accesses/set_drip_boost
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /offers/{id}/accesses/set_drip_boost:
    post:
      summary: Set a Drip Boost
      description: Updates the drip boost value for a specific member in a specific offer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                member_email:
                  type: string
                drip:
                  type: integer
              required:
                - member_email
                - drip
      responses:
        '200':
          description: Drip boost added
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_id:
                    type: string
                    description: Access ID
                  offer_name:
                    type: string
                    description: Offer name
                  offer_id:
                    type: string
                    description: Offer ID
                  member_id:
                    type: string
                    description: Member ID
                  email:
                    type: string
                    description: Member email
                  drip:
                    type: integer
                    description: Drip boost value
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````